﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SolutionManager.IO
{
	public class SearchDirectory
	{
		#region Fields

		private bool _excluded = false;
		private string _name = null;
		private string _directory = null;
		private string _parentName = null;
		private List<Solution> _solutions = null;
		private List<SearchDirectory> _childDirectories = null;

		#endregion

		#region Constructors

		public SearchDirectory()
		{
			_solutions = new List<Solution>();
			_childDirectories = new List<SearchDirectory>();
		}

		public SearchDirectory(string name) : this()
		{
			_name = name;
		}

		public SearchDirectory(string name, string directory) : this(name)
		{
			_directory = directory;
		}

		public SearchDirectory(string name, string directory, string parentName)
			: this(name, directory)
		{
			_parentName = parentName;
		}

		#endregion

		#region Properties

		public bool Excluded
		{
			get
			{
				return _excluded;
			}
			set
			{
				_excluded = value;
			}
		}

		public bool HasChildrenDirectories
		{
			get
			{
				return (_childDirectories.Count > 0);
			}
		}

		public string Name
		{
			get
			{
				return _name;
			}
			set
			{
				_name = value;
			}
		}

		public string Directory
		{
			get
			{
				return _directory;
			}
		}

		public string ParentName
		{
			get
			{
				return _parentName;
			}
			set
			{
				_parentName = value;
			}
		}

		public List<Solution> Solutions
		{
			get
			{
				return _solutions;
			}
		}

		public List<SearchDirectory> ChildDirectories
		{
			get
			{
				return _childDirectories;
			}
		}

		#endregion
	}
}
