﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SolutionManager.IO
{
	public sealed class Solution : FileBase
	{
		#region Fields

		private SearchDirectory _parent = null;
		private bool _excluded = false;

		#endregion

		#region Constructors

		public Solution()
		{
		}

		public Solution(string fileName)
			: base(fileName)
		{
		}

		public Solution(string fileName, SearchDirectory parent)
			: this(fileName)
		{
			_parent = parent;
		}

		#endregion

		#region Properties

		public SearchDirectory Parent
		{
			get
			{
				return _parent;
			}
			set
			{
				_parent = value;
			}
		}

		public bool Excluded
		{
			get
			{
				return _excluded;
			}
			set
			{
				_excluded = value;
			}
		}

		#endregion
	}
}
