﻿using System;
using System.IO;
using System.Xml;

namespace SolutionManager.IO.Xml
{
	internal sealed class Addin : XmlDocument
	{
		#region Fields

		private const string _addinFileName = @"{0}\Visual Studio 2008\Addins\SolutionManager - For Testing.AddIn";

		private string _fileName = null;

		#endregion

		#region Constructors

		public Addin()
			: base()
		{
		}

		public Addin(string directory)
			: this()
		{
			if (!Directory.Exists(directory))
			{
				Directory.CreateDirectory(directory);
			}

			_fileName = string.Format(_addinFileName, directory);
		}

		#endregion

		#region Properties

		

		#endregion

		#region Methods

		public void SaveAddinSettings(bool windowOpen)
		{
			string addinXmlLocation = string.Format(_addinFileName, Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments));

			if (File.Exists(addinXmlLocation))
			{
				XmlDocument addinFile = new XmlDocument();
				addinFile.Load(addinXmlLocation);
				XmlNodeList loadBehavior = addinFile.GetElementsByTagName("LoadBehavior");

				loadBehavior[0].RemoveAll();
				XmlText text = null;
				
				if (windowOpen)
				{
					text = addinFile.CreateTextNode("1");
				}
				else
				{
					text = addinFile.CreateTextNode("0");
				}

				loadBehavior[0].AppendChild(text);

				addinFile.Save(addinXmlLocation);
			}
		}

		#endregion
	}
}